Loading...
Searching...
No Matches
L4virtio::Virtqueue::Desc::Flags Struct Reference

Type for descriptor flags. More...

`#include <virtqueue>`

Collaboration diagram for L4virtio::Virtqueue::Desc::Flags:

## Public Member Functions

| Flags (l4_uint16_t v)
| Make Flags from raw 16bit value.

## Data Fields

l4_uint16_t | raw
| raw flags value of a virtio descriptor.
typedef cxx::Bitfield< decltype(raw), 0, 0 > | next_bfm_t
| Part of a descriptor chain which is continued with the next field.
constexpr next_bfm_t::Val | next () const
| Get the next bits (0 to 0) of raw.
constexpr next_bfm_t::Ref | next ()
| Get a reference to the next bits (0 to 0) of raw.
typedef cxx::Bitfield< decltype(raw), 1, 1 > | write_bfm_t
| Block described by this descriptor is writeable.
constexpr write_bfm_t::Val | write () const
| Get the write bits (1 to 1) of raw.
constexpr write_bfm_t::Ref | write ()
| Get a reference to the write bits (1 to 1) of raw.
typedef cxx::Bitfield< decltype(raw), 2, 2 > | indirect_bfm_t
| Indirect descriptor, block contains a list of descriptors.
constexpr indirect_bfm_t::Val | indirect () const
| Get the indirect bits (2 to 2) of raw.
constexpr indirect_bfm_t::Ref | indirect ()
| Get a reference to the indirect bits (2 to 2) of raw.

## Detailed Description

Type for descriptor flags.

Definition at line 92 of file virtqueue.

## Member Typedef Documentation

## indirect_bfm_t

typedef cxx::Bitfield<decltype(raw), 2, 2> L4virtio::Virtqueue::Desc::Flags::indirect_bfm_t

Indirect descriptor, block contains a list of descriptors.

Type to access the indirect bits (2 to 2) of raw.

Definition at line 105 of file virtqueue.

## next_bfm_t

typedef cxx::Bitfield<decltype(raw), 0, 0> L4virtio::Virtqueue::Desc::Flags::next_bfm_t

Part of a descriptor chain which is continued with the next field.

Type to access the next bits (0 to 0) of raw.

Definition at line 101 of file virtqueue.

## write_bfm_t

typedef cxx::Bitfield<decltype(raw), 1, 1> L4virtio::Virtqueue::Desc::Flags::write_bfm_t

Block described by this descriptor is writeable.

Type to access the write bits (1 to 1) of raw.

Definition at line 103 of file virtqueue.

The documentation for this struct was generated from the following file:

- l4/l4virtio/virtqueue